Tool: list_merchants
Ruft eine Liste aller Google Pay-Händlerprofile ab, die mit dem authentifizierten Konto verknüpft sind.
Im folgenden Beispiel wird gezeigt, wie Sie mit curl das MCP-Tool list_merchants aufrufen.
| Curl-Anfrage |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_merchants", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Eingabeschema
Anfragenachricht für die Auflistung von Händlern.
Ausgabeschema
Antwortnachricht für die Auflistung von Händlern.
ListMerchantsResponse
| JSON-Darstellung |
|---|
{
"merchants": [
{
object ( |
| Felder | |
|---|---|
merchants[] |
Die grundlegenden Informationen zum Händler, auf die der Nutzer Zugriff hat. |
Händler
| JSON-Darstellung |
|---|
{ "merchantId": string, "displayName": string, "regionCode": string } |
| Felder | |
|---|---|
merchantId |
Nur Ausgabe. Die eindeutige Kennung des Händlers. |
displayName |
Optional. Der Anzeigename des Händlers. |
regionCode |
Optional. Der Regionscode des Unternehmensstandorts des Händlers. Das Format sind die Unicode-CLDR-Regionscodes, z.B. „US“. |
Tool-Annotationen
Destruktiver Hinweis: ❌ | Idempotenter Hinweis: ✅ | Nur-Lese-Hinweis: ✅ | Open-World-Hinweis: ❌